/*	Permission is hereby granted to republish,
 *	but not for profit, any or all of this program,
 *	provided that this copyright notice is included
 *
 *	Copyright 1978, Oregon Minicomputer Software, Inc.
 *		2340 SW Canyon Road
 *		Portland, Oregon 97201
 *		(503) 226-7760
 */

/*
 *	MODIFIED TO RUN WITH VAX-11 PLOTTING ROUTINES.
 *	LES LACROIX
 *	CARLETON COLLEGE
 *	NORTHFIELD, MN. 55057
 */


CONST	PI= 3.14159265;
	XCENTER=512; YCENTER=380;

VAR	ANGLE, LENGTH, STEP: REAL;
	SEED: 0..65535;

FUNCTION RANDOM: REAL;
BEGIN
	SEED:= (SEED*13077+6925) MOD 32768;
	RANDOM:= SEED/32768.0;
END;

BEGIN
	INITPLOT;
	SEED:= TRUNC(TIME*1000.0);
	PLOT.XOFFSET:= XCENTER; PLOT.YOFFSET:= YCENTER;

	REPEAT
	   ERASE;
	   ANGLE:= RANDOM*PI+PI/2; /* 90<=ANGLE<=270 DEGREES */
	   LENGTH:=10.0; STEP:=ANGLE;
	   MOVE(LENGTH,0);

	   WHILE LENGTH<370.0 DO
	    BEGIN
	      DRAW(COS(STEP)*LENGTH,SIN(STEP)*LENGTH);
	      LENGTH:=LENGTH+ANGLE/(PI/2);
	      STEP:=STEP+ANGLE;
	    END;

	   FLUSH;
	   SLEEP(5,2);
	UNTIL FALSE;
END.

