/*
 *	SHRIEK.PAS
 *	17-MAR-1980
 *	Les LaCroix
 *
 *	Pascal routine to access the 'shriek' system.  Mailbox
 *	SYS$SHRIEK_MB needs to be assigned MB0 for use with
 *	compatibility mode programs.  Example:
 *
 *		program testshriek(input,output);
 *		 type
 *		  shriekname = array[1..9] of char;
 *		 var
 *		  name : shriekname;
 *		 begin
 *		  repeat
 *		    shriek(name);
 *		    writeln(name)
 *		  until false
 *		end.
 *
 *	Note: the routine must open up the mailbox as a file;  this
 *	this decreases the number of files one can have open at any
 *	time by one.
 */
type
 shriekname = array[1..9] of char;

procedure shriek(var x : shriekname);
 var f		: text	  /* file for the mailbox */;
     len	: integer /* error flag for reset procedure */;

 procedure error /* error during the shriek call */;
  begin
   writeln('%SHRIEK-W-UNEXPERROR, Unexpected error in shriek symbiot');
   writeln('Please notify system manager')
  end /* error */;
begin
 reset(f,'MB0:',,len);
 if len = -1
  then error
  else
   begin
    readln(f,x);
    if x='         ' /* nine spaces */
     then error;
    close(f)
   end
end /* shriek */;
