$ ! *************************************************************
$ ! *								*
$ ! *		       T E C O I N S . C O M			*
$ ! *								*
$ ! *    Install VAX-11 TECO from the TECO master directory	*
$ ! *								*
$ ! *************************************************************
$ !
$ !	Save current UIC and default; set up to catch errors, etc.
$ !
$ old_uic := 'F$USER()'
$ old_default := 'F$LOGICAL("SYS$DISK")''F$DIRECTORY()'
$ ON ERROR THEN GOTO end
$ ON CONTROL_C THEN GOTO end
$ ON CONTROL_Y THEN GOTO end
$ !
$ !	Get the TECO master directory
$ !
$ IF "''P1'" .EQS. "" THEN INQUIRE P1 "TECO master directory as DEV:[DIR]"
$ IF "''P1'" .EQS. "" THEN P1 := 'old_default'
$ !
$ !	Ask about a purge of old versions
$ !
$ IF "''P2'" .EQS. "" THEN INQUIRE P2 "Purge old file versions [Y/N] (D=Y)"
$ IF "''P2'" .EQS. "" THEN P2 := yes
$ !
$ !	Get the file device
$ !
$ sys_disk := 'F$LOGICAL("SYS$SYSDISK")'
$ IF "''sys_disk'" .EQS. "" THEN sys_disk := 'F$LOGICAL("SYS$SYSTEM")'
$ tmp = 'F$LOCATE(":",sys_disk)'
$ sys_disk := 'F$EXTRACT(0,tmp,sys_disk)':
$ IF 'F$LOCATE("_",sys_disk)' .EQ. 'F$LENGTH(sys_disk)' THEN -
	sys_disk := _'sys_disk'
$ IF "''P3'" .EQS. "" .AND. -
	"''F$LOGICAL("SYS$DISK")'" .NES. "''sys_disk'" THEN -
		INQUIRE P3 "Output File disk device (D=''sys_disk')"
$ IF "''P3'" .EQS. "" THEN P3 := 'sys_disk'
$ SET DEFAULT 'P3'
$ !
$ !	Get the file ownership UIC
$ !
$ IF "''P4'" .EQS. "" .AND. "''F$USER()'" .NES. "[1,4]" THEN -
	INQUIRE P4 "Output file ownership UIC (D=[1,4])"
$ IF "''P4'" .EQS. "" THEN P4 := [1,4]
$ IF "''F$USER()'" .NES. "''P4'" THEN SET UIC 'P4'
$ !
$ !	Check for VAX/VMS V2.0
$ !
$ lbr  := nolbr
$ lb*r := ""
$ IF "''copy'" .EQS. "" THEN copy := copy
$ IF "''lbr'"  .EQS. "" THEN copy := 'copy'/trun/prot=(s:rwe,o:rwed,g:re,w:re)
$ !
$ !	Copy the [SYSEXE] files
$ !
$ copy 'P1'tec.exe		[sysexe]tec.exe;
$ copy 'P1'teco'lbr'.exe	[sysexe]teco.exe;
$ IF P2 THEN PURGE		[sysexe]tec.exe
$ IF P2 THEN PURGE		[sysexe]teco.exe
$ !
$ !	Copy the [SYSLIB] files
$ !
$ copy 'P1'fmtmar.tec		[syslib]fmtmar.tec;
$ copy 'P1'local.tec		[syslib]local.tec;
$ copy 'P1'search.tec		[syslib]search.tec;
$ copy 'P1'squ.tec		[syslib]squ.tec;
$ copy 'P1'type.tec		[syslib]type.tec;
$ copy 'P1'vt52.tec		[syslib]vt52.tec;
$ copy 'P1'vtedit.tec		[syslib]vtedit.tec;
$ IF P2 THEN PURGE		[syslib]*.tec
$ !
$ !	Copy the [SYSHLP] files
$ !
$ IF "''lbr'" .EQS. "" THEN GOTO help_library
$ techelp := $'P1'teconolbr mung/noini/nomem 'P1'techelp,
$ techelp 'P1'teco.hlp		[syshlp]teco.hlp;
$ copy 'P1'vtedit.doc		[syshlp]vtedit.doc;
$ techelp 'P1'vtedit.hlp	[syshlp]vtedit.hlp;
$ TYPE sys$input:
	Please add
		*TECO
		@_TECO
	and
		*VTEDIT
		@_VTEDIT
	to [SYSHLP]HELP.HLP to enable the HELP commands for VAX-11 TECO.
$ GOTO help_done
$help_library:
$ copy 'P1'teco.hlb		[syshlp]teco.hlb;
$ copy 'P1'vtedit.doc		[syshlp]vtedit.doc;
$ LIBRARIAN/HELP/REPLACE	[syshlp]helplib		'P1'teco
$ LIBRARIAN/HELP/REPLACE	[syshlp]helplib		'P1'vtedit
$help_done:
$ IF P2 THEN PURGE		[syshlp]teco.*
$ IF P2 THEN PURGE		[syshlp]vtedit.*
$ !
$ !	Install TECO
$ !
$ IF "''lbr'" .EQS. "" THEN GOTO install_no_priv
$ TYPE sys$input:
	VAX-11 TECO must be installed with the CMEXEC privilege on
	VAX/VMS V1.x systems.  This privilege is only used create
	the TECO memory logical TEC$MEMORY.  In addition, VAX-11 TECO
	should be installed as shared.  This command file will do
	an installation, but the following should be added to the
	[SYSMGR]SYSTARTUP.COM command file:
		$ RUN SYS$SYSTEM:INSTALL
		[SYSEXE]TECO /OPEN /SHARED /HEADER_RESIDENT /PRIV=(CMEXEC)
$ RUN sys$system:install
[SYSEXE]TECO /DELETE
[SYSEXE]TECO /OPEN /SHARED /HEADER_RESIDENT /PRIV=(CMEXEC)
[SYSEXE]TECO /LIST /FULL
$ GOTO install_done
$install_no_priv:
$ TYPE sys$input:
	This command file will do an installation of VAX-11 TECO,
	but the following should be added to the [SYSMGR]SYSTARTUP.COM
	command file:
		$ RUN SYS$SYSTEM:INSTALL
		[SYSEXE]TECO /OPEN /SHARED /HEADER_RESIDENT
$ RUN sys$system:install
[SYSEXE]TECO /DELETE
[SYSEXE]TECO /OPEN /SHARED /HEADER_RESIDENT
[SYSEXE]TECO /LIST /FULL
$install_done:
$ !
$ !	Do exit clean ups
$ !
$end:
$ SET NOON
$ IF "''F$USER()'" .NES. "''old_uic'" THEN SET UIC 'old_uic'
$ SET DEFAULT 'old_default'
$ !
$ !	End of TECOINS.COM
$ !
