$ ! *************************************************************
$ ! *								*
$ ! *		       V A X T E C O . C O M			*
$ ! *								*
$ ! *    Copy VAX-11 TECO from the distribution media to the	*
$ ! *    TECO master directory then install it from there	*
$ ! *								*
$ ! *************************************************************
$ !
$ !	Get the TECO master directory
$ !
$ TYPE sys$input:
	The VAX-11 TECO installation procedure initially copies all
	files from the distribution media to a TECO master directory
	which you must specify.  The procedure will automatically
	create this directory for you.  After all file copies, TECO
	will be installed in the appropriate system directories.  As
	all of the distributed files (e.g., the TECO manual and the
	TECO macro sources) are not moved to a system directory, this
	TECO master directory is not deleted.
$ INQUIRE teco_master "TECO master directory as DEV:[DIR]"
$ CREATE/DIRECTORY 'teco_master'
$ DELETE 'teco_master'*.*;*
$ !
$ !	Find out how many volumes are in this distribution
$ !
$ tmp = 'F$LOCATE(".",file)'
$ num_volumes := 'F$EXTRACT(0,tmp,file)'
$ num_volumes := 'F$EXTRACT(8,1,num_volumes)'
$ IF "''num_volumes'" .EQS. "" THEN num_volumes := 1
$ cur_volume = 1
$ !
$ !	Define the kit device name and start the copies
$ !
$ kit_dev := 'F$LOGICAL("SYS$KIT")'
$ IF "''kit_dev'" .EQS. "" THEN kit_dev := dxa1:
$ GOTO do_copy
$ !
$ !	Switch to the next volume
$ !
$next_volume:
$ DISMOUNT/NOUNLOAD 'kit_dev'
$ cur_volume = cur_volume + 1
$ volume_label := VAXTECO'cur_volume''num_volumes'
$ WRITE sys$output "Place volume ''volume_label' of the kit in the drive."
$mount_wait:
$ INQUIRE tmp "Are you ready to continue [Y/N]"
$ IF .NOT. tmp THEN GOTO mount_wait
$ MOUNT/PROCESS=UNIQUE 'kit_dev' 'volume_label'
$ !
$ !	Copy everything from this volume
$ !
$do_copy:
$ COPY/TRUN 'kit_dev'[sysupd]*.* 'teco_master'*.*;
$ !
$ !	Check for needing another volume
$ !
$ IF cur_volume .LT. num_volumes THEN GOTO next_volume
$ !
$ !	Merge the TECO manual segments
$ !
$ tecmerge := $'teco_master'teconolbr mung/noini/nomem 'teco_master'tecmerge,
$ tecmerge 'teco_master'
$ !
$ !	Clean up our temporary files
$ !
$ PURGE  'teco_master'
$ DELETE 'teco_master''file';*
$ DELETE 'teco_master'tecmerge.*;*
$ !
$ !	Install the system files
$ !
$ @'teco_master'tecoins 'teco_master'
$ !
$ !	End of VAXTECO.COM
$ !
